<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.BaseVarietyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.BaseVariety">
        <id column="id" property="id" />
        <result column="variety_no" property="varietyNo" />
        <result column="variety_name" property="varietyName" />
        <result column="big_variety_ge" property="bigVarietyGe" />
        <result column="big_variety_le" property="bigVarietyLe" />
        <result column="mid_variety_ge" property="midVarietyGe" />
        <result column="mid_variety_le" property="midVarietyLe" />
        <result column="small_variety_ge" property="smallVarietyGe" />
        <result column="small_variety_le" property="smallVarietyLe" />
        <result column="breed_name" property="breedName" />
        <result column="breed_id" property="breedId" />
        <result column="del_flag" property="delFlag" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, variety_no, variety_name, big_variety_ge, big_variety_le, mid_variety_ge, mid_variety_le, small_variety_ge, small_variety_le, breed_name, breed_id, del_flag, create_by, create_time, update_by, update_time, remark
    </sql>

</mapper>
